OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
SDFVoxelsToFogVolume< LeafNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename LeafNodeType::ValueType

## Public Member Functions
| SDFVoxelsToFogVolume (LeafNodeType **nodes, ValueType cutoffDistance)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
LeafNodeType **const | mNodes
const ValueType | mWeight

## Member Typedef Documentation

## ◆ ValueType

using ValueType = typename LeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ SDFVoxelsToFogVolume()

SDFVoxelsToFogVolume | ( | LeafNodeType ** | nodes,
|  | ValueType | cutoffDistance
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mNodes

LeafNodeType** const mNodes

## ◆ mWeight

const ValueType mWeight

The documentation for this struct was generated from the following file:

- LevelSetUtil.h